Commit 78359510 authored by Kevin Stroeher's avatar Kevin Stroeher Committed by Curtis Adam

remove --quite parameter from mongorestore because server version don't

support it.
parent 4166f842
......@@ -45,14 +45,15 @@ for testDir in $searchDir; do
# Restore the database
echo -e $GREEN"Restoring database ..." $NC
if ! mongorestore --quiet -h 127.0.0.1 --port 3001 -d meteor $dumpDir; then
if ! mongorestore -h 127.0.0.1 --port 3001 -d meteor
$dumpDir 1> /dev/null; then
echo -e $RED"mongorestore failed!" $NC
exit 2
fi
# Run chimp
echo -e $GREEN"Running chimp ..." $NC
chimp --ddp=http://localhost:3000 --path=$testDir $1
~/node_modules/chimp/bin/chimp.js --ddp=http://localhost:3000 --path=$testDir $1
if [ $? -ne 0 ]; then
failedTests=$((failedTests+1))
echo -e $RED"Chimp test failed!" $NC
......@@ -67,4 +68,4 @@ echo -e $BLUE"Testing result:" $NC
echo -e $GREEN"Successfull tests: $successfulTests" $NC
echo -e $RED"Failed tests: $failedTests" $NC
exit $exitVal
\ No newline at end of file
exit $exitVal
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment